Get Integration by ID
curl --request GET \
--url https://api.leen.dev/v1/integrations/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.leen.dev/v1/integrations/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.leen.dev/v1/integrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
"VMS"
],
"data_exports": [
"alerts"
],
"description": "<string>",
"icon": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_id": "<string>",
"name": "<string>",
"parameters": [
{}
],
"version": "<string>",
"deprecated": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Integration Details
Get Integration Details by ID
Details for a single vendor integration in the catalog, looked up by its UUID.
GET
/
integrations
/
{id}
Get Integration by ID
Returns the details of a single integration from the catalog by its
id; use List Integration Details to look up the id for a given integration_id.Authorizations
Path Parameters
Response
Successful Response
Category of the integration
Available options:
VMS, APPSEC, EDR, CSPM, IDP, IDS, ITSM, TPRM, GRC, MDM, EMAIL_SECURITY Supported data exports by Integration
Available options:
alerts, compliances, compliance_findings, config_users, cspm_alerts, device_groups, device_policies, devices, idp, idp_alerts, idp_audit_logs, idp_policies, issues, organization_identities, sast_issues, sca_issues, vms_scan_configs, vulnerabilities, resources, vulnerability_findings_v2, grc_entity, grc_control, grc_evidence, grc_assessment_question, grc_assessment, tprm, tprm_company, tprm_finding, findings, itsm_users, itsm_groups, itsm_projects, itsm_tickets, itsm_attachments, itsm_comments, applications, siem_events Description of the integration
Icon of the integration
Unique ID of the Integration
Integration ID
Name of the integration
Configuration parameters of the integration
Version of the integration
Status of the Integration